Magick::colorizeImage Class Reference

`#include <STL.h>`

## Public Member Functions

| colorizeImage (const unsigned int alphaRed_, const unsigned int alphaGreen_, const unsigned int alphaBlue_, const Color &penColor_)
| colorizeImage (const unsigned int alpha_, const Color &penColor_)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 217 of file STL.h.

## Constructor & Destructor Documentation

## colorizeImage() [1/2]

Magick::colorizeImage::colorizeImage | ( | const unsigned int | alphaRed_,
|  | const unsigned int | alphaGreen_,
|  | const unsigned int | alphaBlue_,
|  | const Color & | penColor_
| ) |  |

Definition at line 180 of file STL.cpp.

## colorizeImage() [2/2]

Magick::colorizeImage::colorizeImage | ( | const unsigned int | alpha_,
|  | const Color & | penColor_
| ) |  |

Definition at line 190 of file STL.cpp.

## Member Function Documentation

## operator()()

void Magick::colorizeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 198 of file STL.cpp.

References Magick::Image::colorize().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp